Subject: Re: Tip: avoiding net overhead using git over sshfs

From: Michael J Gruber <[email-masked]>
Date: Thu, 23 Oct 2008 10:32:34 +0200

Felipe Carvalho Oliveira venit, vidit, dixit 23.10.2008 03:26:
> Use git over sshfs is not so good, but is an option for people that
> don't have shell acess to the server/hosting like me.

I'm sorry but I'm afraid I'm missing the point: If you don't have shell
access then you can't use ssh(fs), can you?
Maybe you mean you can't set up git daemon or gitweb.cgi on the server?

> # mounting
> sshfs -o workaround=rename <user>@<host>:/home/<user>/  <mount_point>
> cd <the_directory_of_your_project>
> 
> # we will move the .git directory to the local filesystem
> mv .git ~/.my_project_git
> # and create a symlink to the local .git
> ln -s ~/.my_project_git .git
> 
> Done!
> 
> Now you can open gitk instantly ;-) and don't need to have the entire
> .git thing on a remote filesystem.

In fact your complete git repository is now on the local filesystem,
with only the worktree checked out on sshfs. Is that what you are trying
to achieve? Or do you want to "synchronize" repos on local and sshfs
filesystems?

Michael